from Products.CMFCore.CMFCorePermissions import ViewManagementScreens as CMFViewManagementScreens
from Products.CMFCore.CMFCorePermissions import ManagePortal as CMFManagePortal
from Products.CMFCore.CMFCorePermissions import setDefaultRoles

# Gathering MemberDataTool Related Permissions into one place
View                  = 'View portal member data tools'
Add                   = 'Add portal member data tools'
Modify                = 'Modify portal member data tools'
ListContents          = 'List portal member data tool contents'
Manage                = CMFManagePortal
ViewManagementScreens = CMFViewManagementScreens

# Set up default roles for permissions
setDefaultRoles(View, ('Manager', 'Owner'))
setDefaultRoles(Add, ('Manager', 'Owner'))
setDefaultRoles(Modify, ('Manager', 'Owner'))
setDefaultRoles(ListContents, ('Manager',))
setDefaultRoles(Manage, ('Manager',))
setDefaultRoles(ViewManagementScreens, ('Manager',))
